# Module cargo::util::diagnostic_server

source ·
Expand description

A small TCP server to handle collection of diagnostics information in a cross-platform way for the `cargo fix` command.

## Structs

- DiagnosticPrinter
- RustfixDiagnosticServer
- StartedServer
- __FieldVisitor 🔒
- __FieldVisitor 🔒
- __FieldVisitor 🔒
- __FieldVisitor 🔒
- __FieldVisitor 🔒
- __FieldVisitor 🔒
- __FieldVisitor 🔒
- __Visitor 🔒
- __Visitor 🔒
- __Visitor 🔒
- __Visitor 🔒
- __Visitor 🔒
- __Visitor 🔒
- __Visitor 🔒

## Enums

- Message
- __Field 🔒
- __Field 🔒
- __Field 🔒
- __Field 🔒
- __Field 🔒
- __Field 🔒
- __Field 🔒

## Constants

- DIAGNOSTICS_SERVER_VAR 🔒
- FIELDS 🔒
- FIELDS 🔒
- FIELDS 🔒
- FIELDS 🔒
- FIELDS 🔒
- FIELDS 🔒
- PLEASE_REPORT_THIS_BUG 🔒
- VARIANTS 🔒